Skip to main content

Header

POST

Retrieves the header at the specified block height. Returns the latest header if height is omitted.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Responses
jsonrpcstringrequired
idintegerrequired
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
cURL
curl -X POST 'https://rpc-celestia-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "Header",
"params": []
}'